#include <bits/stdc++.h>

using namespace std;

int main()
{
    char a[20],b[20],c[20],k1[20],k2[20],k3[20],k4[20],k5[20],k6[20],maxs[20];
    gets(a);
    gets(b);
    gets(c);
    strcpy(k1,a);
    strcat(k1,b);
    strcat(k1,c);
    strcpy(k2,a);
    strcat(k2,c);
    strcat(k2,b);
    strcpy(k3,b);
    strcat(k3,a);
    strcat(k3,c);
    strcpy(k4,b);
    strcat(k4,c);
    strcat(k4,a);
    strcpy(k5,c);
    strcat(k5,a);
    strcat(k5,b);
    strcpy(k6,c);
    strcat(k6,b);
    strcat(k6,a);
    strcpy(maxs,k1);
    if (strcmp(k2,maxs)==1)
        strcpy(maxs,k2);
    if (strcmp(k3,maxs)==1)
        strcpy(maxs,k3);
    if (strcmp(k4,maxs)==1)
        strcpy(maxs,k4);
    if (strcmp(k5,maxs)==1)
        strcpy(maxs,k5);
    if (strcmp(k6,maxs)==1)
        strcpy(maxs,k6);
    for (int i=0;i<strlen(maxs);i++)
        printf("%d",maxs[i]-48);
    return 0;
}